/*
 * videodirlinked.h: Functions to maintain the video directory
 *
 * See the README file for copyright information and how to reach the author.
 *
 * $Id$
 */
 
#ifndef __VIDEODIRLINKED_H
#define __VIDEODIRLINKED_H

#include <vdr/videodir.h>

#if (APIVERSNUM >= 20102)

/// See vdr/videodir.h for documentation.
 
class cVideoDirectoryLinked : public cVideoDirectory {
private:
  bool MoveNRelink(const char *OldName, const char *NewName);
public:
  int FreeMB(int *UsedMB);
  bool Register(const char *FileName);
  bool Rename(const char *OldName, const char *NewName);
  bool Move(const char *FromName, const char *ToName);
  bool Remove(const char *Name);
  void Cleanup(const char *IgnoreFiles[]);
  bool Contains(const char *Name);
};
  
#endif

#endif //__VIDEODIRLINKED_H
